# Hexen 2 Console Commands

## Abstract

Author: JakFrost
Web Site: `http://www.planetquake.com/console/`
Created: September 6, 1997
Modified: July 20, 1998
Based On: Hexen 2 v1.0
Location: `http://www.planetquake.com/console/commands/hexen_2.html`

Copyright 1997 JakFrost, All Rights Reserved.

This is the complete list of console commands, console variables, and command line parameters for Hexen 2. All console commands and variables are identified, documented, tagged, and classified. This document has been designed to help out all those people who want to customize the game to their liking.

## Index

1. Introduction
2. Command Types Key
3. Console Commands List
4. Command Line Parameters List
5. Version Information
6. Legal
   1. Copyright
   2. Distribution
   3. Disclaimer
   4. Trademarks

## 1. Introduction

This is the complete list of commands for Hexen 2. All commands are identified, documented, tagged, and classified. With permission, I have used the work of Daniel "Prog" Rinehart and information from his web site - Quake Console Command Pages - to complete my list.

## 2. Command Types Key

Action:
  Performs an action when the `+action` part of the command is executed and terminates that action when the `-action` part of the command is executed. When an action command is bound to a key, the `+action` is executed with the key is pressed, and the `-action` is executed when the key is released. The default syntax is "`+action`" or "`-action`".
Command:
  Performs a command, sometimes with extra parameters. The default syntax is "`command`".
OpenGL:
  Only available in OpenGL version.
Parameter:
  Command line parameter used upon launching the executable file. The Type field is not shown for parameters because of the seperate list. The default syntax is "`-parameter`".
Toggle:
  Toggles the setting between known attributes, usually on and off only. The default syntax is "`command` (0|1)".
Variable:
  Allows for the change of a game variable with numeric input. The default syntax is "`command` (value)".

## 3. Console Commands List

### +attack

> Type: Action

> Description: When active the player is firing the weapon.

### +back

> Type: Action

> Description: When active the player is moving backwards.

### +crouch

> Type: Action

> Description: When active the player is crouching.

### +forward

> Type: Action

> Description: When active the player is moving forward.

### +jump

> Type: Action

> Description: When active the player is jumping.

### +klook

> Type: Action

> Description: When active, `+forward` and `+back` become `+lookup` and `+lookdown` respectively.

### +left

> Type: Action

> Description: When active the player is turning left.

### +lookdown

> Type: Action

> Description: When active the player's view is looking down.

### +lookup

> Type: Action

> Description: When active the player's view is looking up.

### +mlook

> Type: Action

> Description: When active moving the mouse or joystick forwards and backwards performs `+lookup` and `+lookdown` respectively.

### +movedown

> Type: Action

> Description: When active the player is swimming down in a liquid.

### +moveleft

> Type: Action

> Description: When active the player is strafing left.

### +moveright

> Type: Action

> Description: When active the player is strafing right.

### +moveup

> Type: Action

> Description: When active the player is swimming up in a liquid.

### +right

> Type: Action

> Description: When active the player is turning right.

### +showdm

> Type: Action

> Description: Display information about deathmatch statistics.

### +showinfo

> Type: Action

> Description: Display information about your player.

### +speed

> Type: Action

> Description: When active the player is running.

> Note: This will use the `cl_movespeedkey` variable to multiply the `cl_forwardspeed` and `cl_backspeed` variables.

### +strafe

> Type: Action

> Description: When active, `+left` and `+right` function like `+moveleft` and `+moveright`, strafing in that direction.

### +use

> Type: Action

> Description: * Non-functional. Left over command for opening doors and triggering switches.

### _cl_color

> Type: Variable

> Default: `0`

> Description: Sets the player color using one value.

> Note: The formula for the player color is (pants color)+[(shirt color)*16].

### _cl_name

> Type: Command

> Syntax: `_cl_name` (name)

> Default: `player`

> Description: Sets the player name.

### _cl_playerclass

> Type: Toggle

> Default: `1`

> Description: Sets the player class.

> Values:
> `1` - Paladin.
> `2` - Crusader.
> `3` - Necromancer.
> `4` - Assasin.

### _config_com_irq

> Type: Variable

> Default: `57600`

> Description: *Non-functional. Left over modem code which used to set the COM port baud rate.

### _config_com_irq

> Type: Variable

> Default: `4`

> Description: *Non-functional. Left over modem code which used to set the COM IRQ number.

### _config_com_modem

> Type: Toggle

> Default: `1`

> Description: *Non-functional. Left over modem code which used to enable modem support.

### _config_com_port

> Type: Command

> Syntax: `_config_com_port` (port)

> Default: `0x3f8`

> Description: *Non-functional. Left over modem code which used to set the COM port IO number.

### _config_modem_clear

> Type: Command

> Syntax: `_config_modem_clear` (string)

> Default: `atz`

> Description: *Non-functional. Left over modem code which used to set the clear string.

### _config_modem_dialtype

> Type: Toggle

> Default: `t`

> Description: *Non-functional. Left over modem code which used to set the dial type.

> Values:
> `p` - Pulse tone.
> `t` - Touch tone.

### _config_modem_hangup

> Type: Command

> Syntax: `_config_com_hangup` (string)

> Default: `at h`

> Description: *Non-functional. Left over modem code which used to set the hangup string.

### _config_modem_init

> Type: Command

> Syntax: `_config_com_init` (string)

> Description: *Non-functional. Left over modem code which used to set the initialzation string.

### _snd_mixahead

> Type: Variable

> Default: `0.1`

> Description: Delay time for sounds.

### _vid_default_mode

> Type: Variable

> Default: `0`

> Description: Default video mode.

### _vid_default_mode_win

> Type: Variable

> Default: `3`

> Description: Default windowed video mode.

### _vid_wait_override

> Type: Toggle

> Default: `0`

> Description: Toggles the wait for vertical sync for video modes.

> Values:
> `0` - Can cause shearing and screen glitching.
> `1` - Will prevent shearing and screen glitching for a performance trade off.

### _windowed_mouse

> Type: Toggle

> Default: `0`

> Description: Toggles windowed mouse support.

> Note: To regain mouse support to other applications, use `ALT+TAB` to switch away from the game.

### alias

> Type: Command

> Syntax: `alias` (name) "(commands)"

> Description: Used to create a reference to a command or list of commands. When used without parameters, displays all current aliases.

> Note: Enclose multiple commands within quotes and seperate each command with a semi-colon.

> Example:
> `alias sayhi "say Hi foo!"`
> `alias quickaxe "impulse 1;wait;+attack;wait;-attack"`

### ambient_fade

> Type: Variable

> Default: `100`

> Description: How quickly ambient sounds fade in or out.

> Note: Higher values make the sounds fade quicker.

### ambient_level

> Type: Variable

> Default: `0.3`

> Description: Ambient sound volume.

### ban

> Type: Command

> Syntax: `ban` (ip) (mask)

> Description: Allows to ban a list of ips.

> Note: You can turn off banning by using the `ban off` command.

> Example:
> `ban 123.123.123.123 255.255.255.0`
> `ban 123.123.123`

### barspeed

> Type: Variable

> Default: `5`

> Description: Sets the speed at which the information bar rises.

### begin

> Type: Command

> Description: *Internal command. Used by the the client/server protocol which informs the server that the client is ready to receive game update information.

### bf

> Type: Command

> Description: Background flash, used when you pick up an item.

### bgmbuffer

> Type: Variable

> Default: `4096`

> Description: Amount of memory allocated for the CD music buffer.

### bgmtype

> Type: Command

> Syntax: `bgmtype` (type)

> Default: `MIDI`

> Description: Determines the type of device used to background music.

### bgmvolume

> Type: Variable

> Default: `1.0`

> Description: Volume of CD music.

### bgmvolume

> Type: Variable

> Default: `1.0`

> Description: Volume of CD music.

### bind

> Type: Command

> Syntax: `bind` (key) "(commands)"

> Description: Assign a command or a set of commands to a key.

> Note: To bind multiple commands to a key, enclose the commands in quotes and separate with semi-colons. To bind to non-printable keys, use the key name.

> Non-printable Key's Name List: `Escape, F1-F12, pause, backspace, tab, semicolon, enter, shift, ctrl, alt, space, ins, home, pgup, del, end, pgdn, uparrow, downarrow, leftarrow, rightarrow, mouse1-mouse3, aux1-aux9, joy1-joy4.`

> Special: The `escape`, and `~` (tilde) keys can only be bound from an external configuration file.

> Example:
> `
> bind h "echo Hi Foo!"`
> `bind mouse1 "+attack;+jump;wait;-jump;-attack;echo Foo!"`

### cd

> Type: Command

> Syntax: `cd` (command)

> Description: Control the CD player.

> Commands:
> `eject` - Eject the CD.
> `info` - Reports information on the CD.
> `loop` (track number) - Loops the specified track.
> `remap` (track1) (track2) ... - Remap the current track order.
> `reset` - Causes the CD audio to re-initialize.
> `resume` - Will resume playback after `pause`.
> `off` - Shuts down the CD audio system..
> `on` - Re-enables the CD audio system after a `cd off` command.
> `pause` - Pause the CD playback.
> `play` (track number) - Plays the specified track one time.
> `stop` - Stops the currently playing track.

> Example:
> `cd play 4`
> `cd remap 9 8 7 6 5 4 3 2 1`

### centerview

> Type: Command

> Description: Centers the player's view ahead after `+lookup` or `+lookdown`.

> Note: Does not work when `+mlook` is active.

### changelevel

> Type: Command

> Syntax: `changelevel` (map)

> Description: Changes the current map without droping the clients.

### changelevel2

> Type: Command

> Syntax: `changelevel2` (map)

> Description: Changes the current map in the same unit without droping the clients.

### chase_active

> Type: Toggle

> Default: `0`

> Description: Toggles the chase camera view.

### chase_back

> Type: Variable

> Default: `100`

> Description: Sets the distance that the camera travels behind the player.

> Note: A negative value will make the camera be positioned in front of the player.

### chase_right

> Type: Variable

> Default: `0`

> Description: Sets the distance that the camera travels to the right of the player.

> Note: A negative value will make the camera be positioned to the left of the player.

### chase_up

> Type: Variable

> Default: `0`

> Description: Sets the distance that the camera travels above the player.

> Note: A negative value will make the camera be positioned below the player.

### cl_anglespeedkey

> Type: Variable

> Default: `1.5`

> Description: Sets multiplier for how fast you turn when running.

### cl_backspeed

> Type: Variable

> Default: `200`

> Description: Backward movement rate.

### cl_bob

> Type: Variable

> Default: `0.02`

> Description: How much your weapon moves up and down when walking.

### cl_bobcycle

> Type: Variable

> Default: `0.6`

> Description: How quickly your weapon moves up and down when walking.

### cl_bobup

> Type: Variable

> Default: `0.5`

> Description: How long your weapon stays up before cycling when walking.

### cl_forwardspeed

> Type: Variable

> Default: `200`

> Description: Sets forward movement rate.

### cl_movespeedkey

> Type: Variable

> Default: `2.0`

> Description: Set multiplier for how fast you move when running.

> Note: This will multiply the values of `cl_forwardspeed` and `cl_backspeed`, by the specified value.

### cl_nolerp

> Type: Toggle

> Default: `0`

> Description: Toggle the rules for updating player movement on the screen.

> Values:
> `0` - Will draw many frames of movement for each movement packet received.
> `1` - Will draw only 1-frame of movement for each movement packet received.

### cl_pitchspeed

> Type: Variable

> Default: `150`

> Description: How fast you `+lookup` and `+lookdown`.

### cl_rollangle

> Type: Variable

> Default: `2.0`

> Description: How much your screen tilts when strafing.

### cl_rollspeed

> Type: Variable

> Default: `200`

> Description: How quickly you straighten out after strafing.

### cl_shownet

> Type: Toggle

> Default: `0`

> Description: Toggle the display of current net info.

### cl_sidespeed

> Type: Variable

> Default: `225`

> Description: How quickly you strafe.

### cl_upspeed

> Type: Variable

> Default: `200`

> Description: How quickly you `+moveup` and `+movedown` in liquids.

### cl_yawspeed

> Type: Variable

> Default: `140`

> Description: How quickly you turn left or right.

### clear

> Type: Command

> Description: Clears the console screen.

### cmd

> Type: Variable

> Syntax: `cmd` (command) (value)

> Description: Send a command to the server.

> Commands:
> `kill` - Same as the command.
> `msg` (value) - Same as the command.
> `prespawn` (entity) (spot) - Internal command. Find a spawn spot for the player entity.
> `spawn` (entity) - Internal command. Spawn the player entity.
> `status` - Same as the command.

> Example: `cmd msg 2`

### cmdline

> Default: `0`

> Description: *Unknown.

### color

> Type: Command

> Syntax: `color` (shirt color) (pants color)

> Default: `0 0`

> Description: The pant and shirt color.

> Note: If only the shirt color is given, the pant color will match.

> Example:
> `color 12`
> `color 4 11`

### con_notifytime

> Type: Variable

> Default: `3`

> Description: The time in seconds that messages are displayed on screen.

### connect

> Type: Command

> Syntax: `connect` (IP address | server name)

> Description: Connect to a server.

> Example:
> `connect 123.123.123.123`
> `connect thefoopit`

### coop

> Type: Toggle

> Default: `0`

> Description: Toggle cooperative game mode.

### create

> Type: Command

> Syntax:
> `create` (string)
> `create` (object)

> Description: Create a Quake-ED function.

> Example:
> `create mon`
> `create monster_archer`

### crosshair

> Type: Toggle

> Default: `0`

> Description: Toggle the display of an aiming crosshair.

### d_mipcap

> Type: Variable

> Syntax: `d_mipcap` ( 0 | 1 | 2 | 3 )

> Default: `0`

> Description: Detail level for the level.

> Values:
> `0` - High detail level.
> `1` - Medium detail level.
> `2` - Low detail level.
> `3` - Minimum detail level.

### d_mipscale

> Type: Variable

> Default: `1`

> Description: Detail level for the objects.

> Values:
> `0` - Full detail to objects.
> `1` - Some detail to objects.
> `2` - Medium detail to bjects.
> `3` - Low detail to objects.

### d_subdiv16

> Type: Toggle

> Default: `1`

> Description: Toggle extreme perspective correction.

### deathmatch

> Type: Toggle

> Syntax: `deathmatch` ( 0 | 1 | 2 )

> Default: `0`

> Description: Sets the rules for weapon and item respawning.

> Values:
> `0` - Disable deathmatch.
> `1` - Does not leave weapons on the map. You can pickup weapons and items and they will respawn.
> `2` - Leaves weapons on the map. You can only pick up a weapon once. Picked up items will not respawn.

### demos

> Type: Command

> Description: Start playing queued demos with the `startdemos` command.

### developer

> Type: Toggle

> Default: `0`

> Description: Toggle display of extra debugging information.

### disconnect

> Type: Command

> Description: Disconnect from server.

### dm_mode

> Type: Toggle

> Default: `1`

> Description: *Unknown.

### echo

> Type: Command

> Syntax: `echo` (string)

> Description: Print text to console.

> Example: `echo Hi Foo!`

### edgefriction

> Type: Variable

> Default: `2`

> Description: Determines how easy it is to fall off an edge.

### edict

> Type: Command

> Syntax: `edict` (edict number)

> Description: Report information on a given edict in the game.

> Example: `edict 128`

### edictcount

> Type: Command

> Description: Display summary information on the edicts in the game.

### edicts

> Type: Command

> Description: Display information on all edicts in the game.

### entities

> Type: Command

> Description: Display information on all entities in the game.

### exec

> Type: Command

> Syntax: `exec` (filename)

> Description: Execute a script file.

> Example: `exec mysetup.cfg`

### flush

> Type: Command

> Description: Clears the current game cache.

### force_centerview

> Type: Command

> Description: Will center the screen irrelevant of `+klook` and `+mlook` commands.

### fov

> Type: Variable

> Default: `90`

> Description: Field of vision, which determines how close your vision field is to the objects.

### fraglimit

> Type: Variable

> Default: `0`

> Description: Amount of frags a player must get in order to exit the level.

### gamecfg

> Default: `0`

> Description: *Unknown.

### gamma

> Type: Variable

> Default: `1`

> Description: Brightness level.

### give

> Type: Command

> Syntax: `give` (item) (amount)

> Description: Give user a certain amount of an item.

> Items:
> `1` - Weapon 1
> `2` - Weapon 2
> `3` - Weapon 3
> `4` - Weapon 4
> `H` - Health

> Example: `give 3`

### gl_affinemodels

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: * Non-functional.

### gl_clear

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: * Non-functional.

### gl_cull

> Type: Toggle | glQuakeWorld

> Default: `1`

> Description: * Non-functional.

### gl_flashblend

> Type: Toggle | glQuakeWorld

> Default: `1`

> Description: Toggles the type of lighting for objects.

### gl_keeptjunctions

> Type: Toggle | glQuakeWorld

> Default: `1`

> Description: Toggles the removal of colinear vertexes upon level loadup.

### gl_max_size

> Type: Variable | glQuakeWorld

> Default: `256`

> Description: Determines the detail level for loaded textures.

### gl_nobind

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: Toggle the binding of textures to models and walls.

### gl_nocolors

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: * Non-functional.

### gl_picmip

> Type: Variable | glQuakeWorld

> Default: `0`

> Description: Determines the dimensions of displayed textures.

> Values:
> `0` - Original size.
> `1` - Half the dimensions.
> `2` - One-fourth the dimensions.

### gl_playermip

> Type: Variable | glQuakeWorld

> Default: `0`

> Description: Determines the detail level of player skins.

> Values:
> `0` - Full detail.
> `1` - Medim detail.
> `2` - Low detail.

### gl_polyblend

> Type: Toggle | glQuakeWorld

> Default: `1`

> Description: Toggle the color changing when submerged or when power-ups are active.

### gl_reportjunctions

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: * Non-functional.

### gl_round_down

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: * Non-functional.

### gl_smoothmodels

> Type: Toggle | glQuakeWorld

> Default: `1`

> Description: * Non-functional.

### gl_texsort

> Type: Command | glQuakeWorld

> Description: Report information on the number of loaded texels.

### gl_texsort

> Type: Toggle | glQuakeWorld

> Default: `1`

> Description: * Non-functional.

### gl_texturemode

> Type: Command | glQuakeWorld

> Syntax: `gl_texturemode` (textre mapping type)

> Default: `GL_LINEAR_MIPMAP`

> Description: Determines the texture mapping to be used.

> Values:
> `GL_NEAREST` - Point sampled.
> `GL_LINEAR_MIPMAP` - Default.
> `GL_LINEAR_MIPMAP_LINEAR` - Trilinear interpolation.

> Example: `gl_texturemode GL_LINEAR_MIPMAP`

### gl_ztrick

> Type: Toggle | glQuakeWorld

> Default: `1`

> Description: Toggles the clearing of the Z-buffer.

### god

> Type: Command

> Description: Toggle god mode.

### help

> Type: Command

> Description: Display help.

### host_framerates

> Type: Variable

> Default: `0`

> Description: Increase the speed that the game runs at.

### host_speeds

> Type: Toggle

> Default: `0`

> Description: Toggle the display of processing info. Display is in milliseconds and represents the processing time for each sub-system.

> Order of display: total time, server time, graphics time, and sound time.

### hostname

> Type: Command

> Syntax: `hostname` "(string)"

> Description: Report or sets the server name.

> Example: `hostname "The Foo Pit"`

### impulse

> Type: Command

> Syntax: `impulse` (number)

> Description: Call a game function or QuakeC function.

> Impulses:
> `1` - Select Weapon 1.
> `2` - Select Weapon 2.
> `3` - Select Weapon 3.
> `4` - Select Weapon 4.
> `9` - All weapons and ammunition cheat.
> `10` - Select the next weapon.
> `12` - Select the previous weapon.
> `13` - Lift an object.
> `14` - Polymorph spell, become a sheep.
> `21` - Get 55 torches.
> `22` - Crouch.
> `23` - Get a Torch.
> `25` - Tome of Power Cheat.
> `32` - Use the selected item.
> `33` - Toggle ally vision.
> `39` - Toggle flymode.
> `40` - Increase player level.
> `41` - Increase player experience.
> `43` - All cheat.
> `44` - Drop selected item.
> `99` - Restart map.
> `100` - Use Torch.
> `101` - Use Quartz Flask.
> `102` - Use Mystic Urn.
> `103` - Use Krater of Might.
> `104` - Use Chaos Device.
> `105` - Use Tome of Power.
> `106` - Use Summoning Stone.
> `107` - Use Invisibility Sphere.
> `108` - Use Glyph of The Ancients.
> `109` - Use Boots of Speed.
> `110` - Use Disk of Repulsion.
> `111` - Use Seal of Ovinmancer.
> `112` - Use Ring of Flight.
> `113` - Use Force Cube.
> `114` - Use Icon of Defender.

> Example: `impulse 9`

### invleft

> Type: Command

> Description: Move the inventory to the left.

### invright

> Type: Command

> Description: Move the inventory to the right.

### invoff

> Type: Command

> Description: Turn off the inventory.

### invuse

> Type: Command

> Description: Use the selected item from the inventory.

### joyadvanced

> Type: Toggle

> Default: `0`

> Description: Toggle use of advanced joystick features.

> Note: This command will toggle the use of all the `joyadv*` commands.

### joyadvancedupdate

> Type: Command

> Description: Initialize the joystick's advanced features.

### joyadvaxisr

> Type: Variable

> Default: `0`

> Description: Mapping of the joystick r-axis.

> Values:
> `0` - Axis not used.
> `1` - Axis is for forward and backward movement.
> `2` - Axis is for pitch.
> `3` - Axis is for side to side movement.
> `4` - Axis is for yaw.
> `16` + ? - Axis mapping is relative (no stop points).

> Example:
> `joyadvaxisr 2`
> `joyadvaxisr 18`

### joyadvaxisu

> Type: Variable

> Default: `0`

> Description: Mapping of the joystick u-axis.

> Values:
> `0` - Axis not used.
> `1` - Axis is for forward and backward movement.
> `2` - Axis is for pitch.
> `3` - Axis is for side to side movement.
> `4` - Axis is for yaw.
> `16` + ? - Axis mapping is relative (no stop points).

> Example:
> `joyadvaxisu 2`
> `joyadvaxisu 18`

### joyadvaxisv

> Type: Variable

> Default: `0`

> Description: Mapping of the joystick v-axis.

> Values:
> `0` - Axis not used.
> `1` - Axis is for forward and backward movement.
> `2` - Axis is for pitch.
> `3` - Axis is for side to side movement.
> `4` - Axis is for yaw.
> `16` + ? - Axis mapping is relative (no stop points).

> Example:
> `joyadvaxisv 2`
> `joyadvaxisv 18`

### joyadvaxisx

> Type: Variable

> Default: `0`

> Description: Mapping of the joystick x-axis.

> Values:
> `0` - Axis not used.
> `1` - Axis is for forward and backward movement.
> `2` - Axis is for pitch.
> `3` - Axis is for side to side movement.
> `4` - Axis is for yaw.
> `16` + ? - Axis mapping is relative (no stop points).

> Example:
> `joyadvaxisx 2`
> `joyadvaxisx 18`

### joyadvaxisy

> Type: Variable

> Default: `0`

> Description: Mapping of the joystick y-axis.

> Values:
> `0` - Axis not used.
> `1` - Axis is for forward and backward movement.
> `2` - Axis is for pitch.
> `3` - Axis is for side to side movement.
> `4` - Axis is for yaw.
> `16` + ? - Axis mapping is relative (no stop points).

> Example:
> `joyadvaxisy 2`
> `joyadvaxisy 18`

### joyadvaxisz

> Type: Variable

> Default: `0`

> Description: Mapping of the joystick z-axis.

> Values:
> `0` - Axis not used.
> `1` - Axis is for forward and backward movement.
> `2` - Axis is for pitch.
> `3` - Axis is for side to side movement.
> `4` - Axis is for yaw.
> `16` + ? - Axis mapping is relative (no stop points).

> Example:
> `joyadvaxisz 2`
> `joyadvaxisz 18`

### joyforwardsensitivity

> Type: Variable

> Default: `-1.0`

> Description: Determines the ramp-up speed for moving forward and backward.

> Note: Negative values will reverse movement.

### joyforwardthreshold

> Type: Variable

> Default: `0.15`

> Description: Controls the dead-zone for moving forward and backward.

### joyname

> Type: Command

> Syntax: `joyname` (string)

> Description: Joystick Name.

> Example: `joyname "The Foostick"`

### joypitchsensitivity

> Type: Variable

> Default: `1.0`

> Description: Speed that you look up and down.

> Note: Negative values will reverse movement.

### joypitchthreshold

> Type: Variable

> Default: `0.15`

> Description: Dead-zone for looking up and down.

### joysidesensitivity

> Type: Variable

> Default: `-1.0`

> Description: Ramp-up speed for moving side to side.

> Note: Negative values will reverse movement.

### joysidethreshold

> Type: Variable

> Default: `0.15`

> Description: Dead-zone for moving side to side.

### joystick

> Type: Toggle

> Description: Toggle the use of joystick.

### joywwhack1

> Type: Variable

> Default: `0.0`

> Description: * Unknown.

### joywwhack2

> Type: Variable

> Default: `0.0`

> Description: * Unknown.

### joyyawsensitivity

> Type: Variable

> Default: `-1.0`

> Description: Speed that you look left to right.

> Note: Negative values will reverse movement.

### joyyawthreshold

> Type: Variable

> Default: `0.15`

> Description: Dead-zone for looking left and right.

### kick

> Type: Command

> Syntax:
> `kick` (player name)
> `kick #` (player number)

> Description: Remove a user from the server. Use the `status` command to get the player's number.

> Example:
> `kick fooman`
> `kick # 1`

### kill

> Type: Command

> Description: Suicide.

### lcd_x

> Type: Variable

> Default: `0`

> Description: Change the interlacing angle value. Used for 3D-glasses.

### lcd_yaw

> Type: Variable

> Default: `0`

> Description: Change the interlacing yaw value. Used for 3D-glasses.

### leak_color

> Type: Variable

> Default: `251`

> Description: Determines the color that map leak particles are displayed in.

### listen

> Type: Toggle

> Default: `0`

> Description: Toggle if the server will "listen" for connections.

### loadas8bit

> Type: Toggle

> Default: `0`

> Description: Toggles if sounds are loaded as 8-bit samples.

### lookspring

> Type: Toggle

> Default: `0`

> Description: Toggles if the view will recenter after `+mlook` is deactivated.

> Note: Only works with the mouse and joystick.

### lookstrafe

> Type: Toggle

> Default: `0`

> Description: Toggles if turn left and right will strafe left and right when a `+mlook` is active.

### m_filter

> Type: Toggle

> Default: `0`

> Description: Toggle mouse input filtering.

> Note: Enabling this will average the last mouse position and the current mouse position on every mouse motion.

### m_forward

> Type: Variable

> Default: `1`

> Description: How quickly moving the mouse forwards and backwards causes the player to move in the respective direction.

### m_pitch

> Type: Variable

> Default: `0.022`

> Description: How quickly you look up and look down with the mouse when a `+mlook` is active.

> Note: Using a negative value will reverse the directions.

### m_side

> Type: Variable

> Default: `0.8`

> Description: How quickly you strafe left and right with the mouse.

### m_yaw

> Type: Variable

> Default: `0.022`

> Description: How quickly you turn left and right with the mouse.

### map

> Type: Command

> Syntax: `map` (filename)

> Description: Change to a new map and disconnect all players.

> Example: `map ravdm1`

### max_temp_edicts

> Type: Variable

> Default: `30`

> Description: Determines the maximum amount of temporary edicts that can exist.

### maxplayers

> Type: Variable

> Default: `1`

> Description: Sets how many players can connect to your server.

### mcache

> Type: Command

> Description: Display information about all cached models.

### menu_class

> Type: Command

> Description: Brings up the class menu.

### menu_keys

> Type: Command

> Description: Brings up the key customization menu.

### menu_load

> Type: Command

> Description: Brings up the load menu.

### menu_main

> Type: Command

> Description: Brings up the main menu.

### menu_multiplayer

> Type: Command

> Description: Brings up the multiplayer menu.

### menu_options

> Type: Command

> Description: Brings up the options menu.

### menu_quit

> Type: Command

> Description: Brings up the quit dialog box.

### menu_save

> Type: Command

> Description: Brings up the save menu.

### menu_setup

> Type: Command

> Description: Brings up the player setup menu.

### menu_singleplayer

> Type: Command

> Description: Brings up the single player menu.

### menu_video

> Type: Command

> Description: Brings up the video option menu.

### messagemode

> Type: Command

> Description: Prompts for string to broadcast to all other players.

### messagemode2

> Type: Command

> Description: Prompts for string to broadcast to team members.

### midi_loop

> Type: Command

> Description: Loop MIDI music.

### midi_pause

> Type: Command

> Description: Pause MIDI music.

### midi_play

> Type: Command

> Syntax: `midi_play` (midi file)

> Description: Play MIDI music.

### midi_stop

> Type: Command

> Description: Stop MIDI music.

### midi_volume

> Type: Variable

> Default: `100`

> Description: Set the MIDI music volume.

### name

> Type: Command

> Syntax: `name` (name)

> Default: `Player`

> Description: Player's name.

> Example: `name Foo`

### net_messagetimeout

> Type: Variable

> Default: `300`

> Description: Set the maximum amount of time that it takes to receive a message from the server before the connection is considered dead.

### net_stats

> Type: Command

> Description: Display network information.

### noclip

> Type: Command

> Description: Toggle no-clipping mode.

### noexit

> Type: Toggle

> Syntax: `noexit` ( 0 | 1 | 2 )

> Default: `0`

> Description: Determines the rules for level exiting.

> Values:
> `0` - Allows advancing to the next level.
> `1` - The same level will be played and the exit will kill anybody that tries to exit.
> `2` - The same level will be played and the exit will kill anybody that tries to exit, except on the Start map.

### nomonsters

> Type: Toggle

> Default: `0`

> Description: Toggles if monsters exist.

### nosound

> Type: Toggle

> Default: `0`

> Description: Toggles if sound playback.

### notarget

> Type: Command

> Description: Toggle if the monsters can see the player.

### path

> Type: Command

> Description: Show what paths are being used.

### pausable

> Type: Toggle

> Default: `1`

> Description: Toggle if the game can be paused or not.

### pause

> Type: Command

> Description: Pause the game.

### ping

> Type: Command

> Description: Show the latency information for all players on the server.

### play

> Type: Command

> Syntax: `play` (filename)

> Description: Play a sound effect.

> Example: `play rj/steve.wav`

### playdemo

> Type: Command

> Syntax: `playdemo` (filename)

> Description: Play a recorded demo.

> Example: `play foodemo`

### playerclass

> Type: Variable

> Description: Choose a player class.

> Values:
> `1` - Paladin.
> `2` - Cruasader.
> `3` - Necomancer.
> `4` - Assassin.

### playvol

> Type: Command

> Syntax: `playvol` (filename) (% of maximum volume)

> Description: Play a sound at a given volume.

> Example:
> `playvol items/protect.wav .5`
> `playvol items/protect.wav .9`

### pointfile

> Type: Command

> Syntax: `pointfile` (filename)

> Description: Load a pointfile to determine map leaks.

> Example: `pointfile mymap`

### port

> Type: Variable

> Default: `26900`

> Description: Choose the default port that the client uses to connect to the server.

### precache

> Type: Toggle

> Default: `1`

> Description: Toggle the use of a precache.

### prespawn

> Type: Command

> Description: *Internal command. Used by the client/server protocol to tell the server that the client is ready.

### profile

> Type: Command

> Description: Display information about processing times.

### quit

> Type: Command

> Description: Exit the game.

### r_aliasmip

> Type: Variable

> Default: `80`

> Description: * Non-functional.

### r_aliastransadj

> Type: Variable

> Default: `100`

> Description: * Non-functional. Determines how much of an alias model is clipped away and how much is viewable.

### r_aliastransbase

> Type: Variable

> Default: `200`

> Description: * Non-functional. Determines how much of an alias model is clipped away and how much is viewable.

> Credit: Squirrel Eiserloh

### r_ambient

> Type: Variable

> Default: `0`

> Description: Determines the ambient lighting for a level.

### r_clearcolor

> Type: Variable

> Default: `2`

> Description: This sets the color for areas outside of the current map.

### r_drawentities

> Type: Toggle

> Default: `1`

> Description: Toggles the drawing of entities.

### r_drawflat

> Type: Toggle

> Default: `0`

> Description: Toggles the drawing of textures.

### r_draworder

> Type: Toggle

> Default: `0`

> Description: Toggles the drawing order, x-ray mode.

### r_drawviewmodel

> Type: Toggle

> Default: `1`

> Description: Toggles the drawing of your weapon.

### r_dspeeds

> Type: Toggle

> Default: `0`

> Description: Toggles the display of drawing speed information.

### r_dynamic

> Type: Toggle | glQuakeWorld

> Default: `1`

> Description: Toggle use of dynamic lighting.

### r_fullbright

> Type: Toggle

> Default: `0`

> Description: Toggles the light level on a map to maximum.

### r_graphheight

> Type: Variable

> Default: `15`

> Description: Set the number of lines displayed in the various graphs.

### r_lightmap

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: Toggles the display of light sources on the map.

### r_maxedges

> Type: Variable

> Default: `2400`

> Description: Sets the maximum number of surfaces.

### r_maxsurfs

> Type: Variable

> Default: `800`

> Description: Sets the maximum number of surfaces.

### r_mirroralpha

> Type: Variable | glQuakeWorld

> Default: `1`

> Range: 0.0 - 1.0

> Description: Determines the level or reflectivness of special textures.

> Values:
> `0.00` - Mirror.
> `0.25` - High reflection.
> `0.50` - Medium reflection.
> `0.75` - Low reflection.
> `1.00` - Solid.

### r_norefresh

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: Toggle the refreshing of the display.

### r_novis

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: Toggles the use of VIS information in maps.

### r_numedges

> Type: Toggle

> Default: `0`

> Description: Toggles the displaying of number of edges currently being viewed.

### r_numsurfs

> Type: Toggle

> Default: `0`

> Description: Toggles the displaying of number of surfaces currently being viewed.

### r_polymodelstats

> Type: Toggle

> Default: `0`

> Description: Toggles the displays of number of polygon models current being viewed.

### r_reportedgeout

> Type: Toggle

> Default: `0`

> Description: Toggle the display of how many edges where not displayed.

### r_reportsurfout

> Type: Toggle

> Default: `0`

> Description: Toggle the display of how many surfaces where not displayed.

### r_shadows

> Type: Toggle | glQuakeWorld

> Default: `0`

> Description: Toggles the display of shadows for entities.

### r_speeds

> Type: Toggle

> Default: `0`

> Description: Toggles the displaying of drawing time and statistics of what is currently being viewed.

### r_timegraph

> Type: Toggle

> Default: `0`

> Description: Toggle the display of a performance graph.

### r_transwater

> Type: Toggle

> Default: `1`

> Description: Toggle the use of water transparency.

### r_wateralpha

> Type: Variable | glQuakeWorld

> Default: `1`

> Description: Determines the opacity of liquids.

> Values:
> `0.00` - Transparent.
> `0.25` - Low opacity.
> `0.50` - Medim opacity.
> `0.75` - High opacity.
> `1.00` - Solid.

> Note: On maps which have not been VISed with a transparent water, you have to use the `r_novis 1` command to enable water tansparency.

### r_waterwarp

> Type: Toggle

> Default: `1`

> Description: Toggles whether surfaces are warped in a liquid.

### r_wholeframe

> Type: Toggle

> Default: `1`

> Description: *Unknown.

### reconnect

> Type: Command

> Description: Reconnect to the last server.

### record

> Type: Command

> Syntax: `record` (filename)

> Description: Record a demo.

> Example: `record foodemo`

### registered

> Type: Toggle

> Default: `1`

> Description: Toggles if the game is registered or not.

### restart

> Type: Command

> Description: Restart the current level.

### samelevel

> Type: Toggle

> Syntax: `samelevel` ( 0 | 1 | 2 | 3 )

> Default: `0`

> Description: Determines the rules for level changing and exiting.

> Values:
> `0` - Allows advancing to the next level.
> `1` - The same level will be played until someone exits.
> `2` - The same level will be played and the exit will kill anybody that tries to exit.
> `3` - The same level will be played and the exit will kill anybody that tries to exit, except on the Start map.

### save

> Type: Command

> Syntax: `save` (filename)

> Description: Save the game to the specified file.

> Example: `save mygame`

### saved1

> Description: *Unknown.

### saved2

> Description: *Unknown.

### saved3

> Description: *Unknown.

### saved4

> Description: *Unknown.

### savedgamecfg

> Description: *Unknown.

### say

> Type: Command

> Syntax: `say` (string)

> Description: Broadcast a string to all other players.

> Example: `say Hi Foo!`

### say_team

> Syntax: `say_team` (string)

> Description: Broadcast a string to teammates.

> Example: `say_team Hi Foo!`

### sbtemp

> Type: Variable

> Default: `5`

> Description: *Unknown.

### scr_centertime

> Type: Variable

> Default: `4`

> Description: How long in seconds the screen hints are displayed on the screen.

### scr_conspeed

> Type: Variable

> Default: `300`

> Description: How quickly in the console screen scrolls up and down.

### scr_ofsx

> Type: Variable

> Default: `0`

> Description: The x-axis offset of the view.

### scr_ofsy

> Type: Variable

> Default: `0`

> Description: The y-axis offset of the view.

### scr_ofsz

> Type: Variable

> Default: `0`

> Description: The z-axis offset of the view.

### scr_printspeed

> Type: Variable

> Default: `8`

> Description: How fast the text is displayed at the end of the single player episodes.

### scratch1

> Description: *Unknown.

### scratch2

> Description: *Unknown.

### scratch3

> Description: *Unknown.

### scratch4

> Description: *Unknown.

### screenshot

> Type: Command

> Description: Captures a picture of your current view. Automatically names based on the existence of other screenshots.

### sensitivity

> Type: Variable

> Default: `3`

> Description: Sets the sensitivity of the mouse.

### serverprofile

> Type: Toggle

> Default: `0`

> Description: Toggle the display of extra server information.

### showpause

> Type: Toggle

> Default: `1`

> Description: Toggles the display of the pause graphic.

### showram

> Type: Toggle

> Default: `1`

> Description: Toggles if the RAM icon appears when then game is running out of memory.

### showturtle

> Type: Toggle

> Default: `0`

> Description: Toggle if the turtle icon is displayed when the frame rate drops below 10.

### sizedown

> Type: Command

> Description: Reduces the screen size.

### sizeup

> Type: Command

> Description: Increases the screen size.

### skill

> Type: Toggle

> Default: `0`

> Description: Toggle skill level.

> Values:
> `0` - Easiest skill.
> `1` - Normal skill.
> `2` - Hard skill.
> `3` - Hardest skill.

### slist

> Type: Command

> Description: Display all game servers on the network.

### snd_noextraupdate

> Default: `0`

> Description: *Unknown.

### snd_show

> Type: Toggle

> Default: `0`

> Description: Toggles the display of sounds currently being played.

### soundinfo

> Type: Command

> Description: Reports information on the sound system.

### soundlist

> Type: Command

> Description: Reports a list of sounds in the cache.

### spawn

> Type: Command

> Description: *Internal command. Use by the client/server protocol. Sends a message to the server that the client is ready to process the entity information.

### startdemos

> Type: Command

> Syntax: `startdemos` (demoname) (demoname) ... (demoname)

> Description: Used to creating a queue of demos to play.

### status

> Type: Command

> Description: Display server status information.

### stop

> Type: Command

> Description: Stop recording a demo.

### stopdemo

> Type: Command

> Description: Stop recording a demo.

### stopsound

> Type: Command

> Description: Stops all sounds currently being played.

### stuffcmds

> Type: Command

> Description: Executes command line parameters.

> Note: Used on startup.

### sv_accelerate

> Type: Variable

> Default: `10`

> Description: Sets the acceleration value for the player.

### sv_aim

> Type: Variable

> Default: `0.93`

> Description: Sets the value for auto-aiming leniency.

### sv_edicts

> Type: Command

> Description: *Unknown.

### sv_flypitch

> Type: Variable

> Default: `20`

> Description: *Unknown.

### sv_gravity

> Type: Variable

> Default: `800`

> Description: Sets the global value for the amount of gravity.

### sv_idealpitchscale

> Type: Variable

> Default: `0.8`

> Description: Sets the value that the player's pitch changes when he steps onto an incline.

### sv_idealrollscale

> Type: Variable

> Default: `0.8`

> Description: Sets the value that the player's roll changes when he steps onto an incline.

### sv_maxspeed

> Type: Variable

> Default: `640`

> Description: Sets the maximum speed a player can move.

### sv_maxvelocity

> Type: Variable

> Default: `2000`

> Description: Sets the maximum velocity an object can travel.

### sv_nostep

> Type: Toggle

> Default: `0`

> Description: Toggles if players walk-up steps automatically or do they have to jump on each step.

### sv_sound_distance

> Type: Variable

> Default: `800`

> Description: *Unknown.

### sv_stopspeed

> Type: Variable

> Default: `100`

> Description: Sets the value that determines how fast the player should come to a complete stop.

### sv_walkpitch

> Type: Variable

> Default: `0`

> Description: *Unknown.

### sys_adaptive

> Default: `1`

> Description: *Unknown.

### sys_cache

> Type: Command

> Description: Display cache information.

### sys_delay

> Default: `0`

> Description: *Unknown.

### sys_memory

> Type: Command

> Description: Display memory information.

### sys_quake2

> Default: `1`

> Description: *Unknown.

### sys_stats

> Type: Command

> Description: Display more memory information.

### sys_ticrate

> Type: Variable.

> Default: `0.05`

> Description: Sets the delay time in seconds between each network packet.

> Note: The value `0.05` means that the server should send out a packet every 5-milliseconds which is 20-packets per second. It is recommened to make the value `0.1` to lower the number of packets to 10-per-second.

### teamplay

> Type: Toggle

> Syntax: `teamplay` ( 0 | 1 | 2 | 3 )

> Default: `0`

> Description: Determines teamplay rules.

> Values:
> `0` - No teams. You can hurt yourself and others.
> `1` - You cannot hurt yourself nor your teammates.
> `2` - You can hurt yourself, your teammates, and you will lose one frag for killing a teammate.
> `3` - You can hurt yourself but you cannot hurt your teammates.

### tell

> Type: Command

> Syntax: `tell` (player) (string)

> Description: Allows to send a private message to a player.

> Example: `tell foo I'll get you`

### temp1

> Type: Variable

> Default: `0`

> Description: An empty variable.

### test

> Type: Command

> Description: Reports information about the players on the server.

### test2

> Type: Command

> Description: Reports information about the settings on the server.

### timedemo

> Type: Command

> Syntax: `timedemo` (demoname)

> Description: Plays a demo as fast a possible and then displays the average frames-per-second value.

### timelimit

> Type: Variable

> Default: `0`

> Description: Sets the amount of time in minutes that is needed before advancing to the next level.

### timerefresh

> Type: Command

> Description: Tests the current frame rate for the current location.

### toggle_dm

> Type: Command

> Description: *Unknown.

### toggleconsole

> Type: Command

> Description: Toggles the console.

### togglemenu

> Type: Command

> Description: Display the menu screens.

### unbind

> Type: Command

> Syntax: `unbind` (key)

> Description: Remove the current commands bound to a key.

### unbindall

> Type: Command

> Description: Remove every key binding.

### v_centermove

> Type: Variable

> Default: `0.15`

> Description: How far the player must move forward before the view re-centers.

### v_centerrollspeed

> Type: Variable

> Default: `125`

> Description: *Unknown.

### v_centerspeed

> Type: Variable

> Default: `500`

> Description: How quickly you return to a center view after a `lookup` or `lookdown`.

### v_cshift

> Type: Command

> Syntax: `v_cshift` (red) (green) (blue) (intensity)

> Description: This adjusts all of the colors currently being displayed. Used when you are underwater, hit, have the Ring of Shadows, or Quad Damage.

> Example: `v_cshift 16 32 64`

### v_idlescale

> Type: Toggle

> Default: `0`

> Description: Toggles whether the view remains idle.

### v_ipitch_cycle

> Type: Variable

> Default: `1`

> Description: How quickly you lean forwards and backwards when `v_idlescale` is enabled.

### v_ipitch_level

> Type: Variable

> Default: `0.3`

> Description: How far you lean forwards and backwards when `v_idlescale` is enabled.

### v_iroll_cycle

> Type: Variable

> Default: `0.5`

> Description: How quickly you tilt right and left when `v_idlescale` is enabled.

### v_iroll_level

> Type: Variable

> Default: `0.1`

> Description: How far you tilt right and left when `v_idlescale` is enabled.

### v_iyaw_cycle

> Type: Variable

> Default: `2`

> Description: How far you tilt right and left when `v_idlescale` is enabled.

### v_iyaw_level

> Type: Variable

> Default: `0.3`

> Description: How far you tilt right and left when `v_idlescale` is enabled.

### v_kickpitch

> Type: Variable

> Default: `0.6`

> Description: How much you look up when hit.

### v_kickroll

> Type: Variable

> Default: `0.6`

> Description: How much you lean when hit.

### v_kicktime

> Type: Variable

> Default: `0.5`

> Description: How long the "kick" effects last.

### version

> Type: Command

> Description: Report version information.

### vid_config_x

> Type: Variable

> Default: `800`

> Description: Maximum x-axis screen size.

### vid_config_y

> Type: Variable

> Default: `600`

> Description: Maximum y-axis screen size.

### vid_describecurrentmode

> Type: Command

> Description: Report current video mode.

### vid_describemode

> Type: Command

> Syntax: `vid_describemode` (mode)

> Description: Report information on specified videomode.

> Example: `vid_describemode 3`

### vid_describemodes

> Type: Command

> Description: Report information on all video modes.

### vid_forcemode

> Type: Command

> Syntax: `vid_forcemode` (mode)

> Description: Force the client to use a certain video mode.

> Example: `vid_forcemode 3`

### vid_mode

> Type: Variable

> Syntax: `vid_mode` (mode)

> Description: Sets the video mode.

> Example: `vid_mode 3`

### vid_nopageflip

> Type: Toggle

> Default: `0`

> Description: Toggles the use of page flipping.

### vid_nummodes

> Type: Command

> Description: Reports the total number of video modes available.

### vid_stretch_by_2

> Type: Toggle

> Default: `1`

> Description: * Non-functional. Stretch the pixles by a two fold to acheive proper view.

### vid_testmode

> Type: Command

> Syntax: `vid_testmode` (mode)

> Description: Switch to another video mode temporarily for 5-seconds to test it.

> Example: `vid_testmode 3`

### vid_wait

> Type: Variable

> Default: `0`

> Description: Sets the type of waiting for the video adapter signal.

> Values:
> `0` - No waiting.
> `1` - Wait for vertical sync active.
> `2` - Wait for display enable active.

### viewframe

> Type: Command

> Syntax: `viewframe` (frame)

> Description: Display the given frame for the current viewthing.

> Example: `viewframe 25`

### viewmodel

> Type: Command

> Syntax: `viewmodel` (model filename)

> Description: Display the given model for the current viewthing.

> Note: To use this command the current map must have a special `viewthing` entity.

> Viewthing Entity:
> `{
> "classname" "viewthing"
> "origin" "0 0 0"
> }`

> Example: `viewmodel models/archer.mdl`

### viewnext

> Type: Command

> Description: Display the next frame for the current viewthing.

### viewprevious

> Type: Command

> Description: Display the previous frame for the current viewthing.

### viewsize

> Type: Variable

> Default: `100`

> Description: Set the screen size.

> Values:
> `30` - Minimum size
> `120` - Maximum size

### volume

> Type: Variable

> Default: `1.0`

> Description: Set the volume for sound playback.

### wait

> Type: Command

> Description: Wait a game tic.

## 4. Command Line Parameters List

### +

> Type: Parameter

> Syntax: `+`(console command)

> Description: Allow for the passing of console commands from the command line to the console.

> Example: `h2.exe +echo hi! +rcon_password foo`

### -allow360

> Type: Parameter

> Description: Allow the display of 360x video modes.

### -basedir

> Type: Parameter

> Syntax: `-basedir` (directory)

> Description: Point to the game directory.

> Example: `-basedir c:\games\hexen2`

### -bpp

> Type: Parameter

> Type: Parameter | OpenGL

> Syntax: `-bpp` (value)

> Description: Specify the bytes-per-pixel for the video mode.

> Example: `-bpp 15`

### -cachedir

> Type: Parameter

> Syntax: `-cachedir` (directory)

> Description: Point to the cache directory.

> Example: `-cachedir c:\games\hexen2\data1`

### -condebug

> Type: Parameter

> Description: Store the console text in the `qconsole.log` file.

### -current

> Type: Parameter | OpenGL

> Description: * Unknown.

### -dedicated

> Type: Parameter

> Syntax: `-dedicated` (number of players)

> Description: Specifies that the client should be a dedicated server with a maximum number of players.

> Note: The maximum number of players on a dedicated server is 16.

> Example: `-dedicated 16`

### -dibonly

> Type: Parameter

> Description: Enable windowed video modes only.

### -force

> Type: Parameter | OpenGL

> Description: Force the video mode.

### -game

> Type: Parameter

> Syntax: `-game` (directory)

> Description: Specifies the directory where mod files were stored.

### -heapsize

> Type: Parameter

> Syntax: `-heapsize` (kilobytes)

> Description: Amount of memory allocatted for game information.

> Example: `-heapsize 24576`

### -height

> Type: Parameter | OpenGL

> Syntax: `-height` (height)

> Description: Specify the height of the video resolution to run.

> Note: You also need the `-width` command.

> Example: `-width 512 -height 384`

### -hipnotic

> Type: Parameter

> Description: Enable support for the Hipnotic mission pack.

### -ipxport

> Type: Parameter

> Syntax: `-ipxport` (port)

> Description: Specifies the ipx port at which to run the server.

> Example: `-ipxport 1234`

### -listen

> Type: Parameter

> Syntax: `-listen` (number of players)

> Description: Specifies that the client should be a listen server with a maximum number of players.

> Note: The maximum number of players on a listen server is 8.

> Example: `-listen 8`

### -minmemory

> Type: Parameter

> Syntax: `-minmemory` (kilobytes)

> Description: Allocate the minimum amount of memory.

> Example: `-minmemory 16384`

### -mode

> Type: Parameter | OpenGL

> Syntax: `-mode` (video mode)

> Description: Specify the video mode.

### -noadjustaspect

> Type: Parameter

> Description: * Unknown.

### -noautostretch

> Type: Parameter

> Description: Disable the streching of high resolutioins through pixel doubling.

### -nocdaudio

> Type: Parameter

> Description: Disable the ability to play CDs.

### -nodd

> Type: Parameter

> Description: Disable DirectDraw support.

### -noddraw

> Type: Parameter

> Description: Disable DirectDraw support.

### -nodirectdraw

> Type: Parameter

> Description: Disable DirectDraw support.

### -noforcemaccel

> Type: Parameter

> Description: Disable the forcing of mouse acceleration on startup.

### -noforcemparms

> Type: Parameter

> Description: Disable the forcing of mouse parameters on startup.

### -noforcemspd

> Type: Parameter

> Description: Disable the forcing of mouse speed on startup.

### -noforcevga

> Type: Parameter

> Description: Disable the forcing of the VGA 0x13 video mode on startup.

### -nofulldib

> Type: Parameter

> Description: Disable fullscreen, borderless window video modes.

### -noipx

> Type: Parameter

> Description: Disable IPX support support.

### -nojoy

> Type: Parameter

> Description: Disable joystick support.

### -nolan

> Type: Parameter

> Description: Disable networking support.

### -nomouse

> Type: Parameter

> Description: Disable mouse support.

### -nopagein

> Type: Parameter

> Description: *Unknown.

### -nosound

> Type: Parameter

> Description: Disable sound support.

### -noudp

> Type: Parameter

> Description: Disable TCP/IP support.

### -novbeaf

> Type: Parameter

> Description: Disable VBE/AF support.

### -novesa

> Type: Parameter

> Description: Disable VESA suppoart.

### -nowd

> Type: Parameter

> Description: Disable VESA support in favor of DirectX or windowed display.

### -nowindirect

> Type: Parameter

> Description: Disable VESA support in favor of DirectX or windowed display.

### -particles

> Type: Parameter

> Syntax: `-particles` (value)

> Description: Specify the maximum amount of allowed particles.

> Example: `-particles 40000`

### -path

> Type: Parameter

> Syntax: `-path` (path)

> Description: Specify the path where the game is located.

> Example: `-path c:\hexen2`

### -playback

> Type: Parameter

> Syntax: `-playback` (playback)

> Description: *Unknown.

### -port

> Type: Parameter

> Syntax: `-port` (port)

> Description: Specify the TCP/IP UDP port that the server should run on.

> Example: `-port 26901`

### -primarysound

> Type: Parameter

> Description: Use DirectSound's primary buffer output for sound instead of secondary buffer output.

> Note: Using this will increase performance but might not work on all systems.

### -proghack

> Type: Parameter

> Description: *Unknown.

### -record

> Type: Parameter

> Description: *Unknown.

### -rogue

> Type: Parameter

> Description: Enable support for the Rogue mission pack.

### -safe

> Type: Parameter

> Description: Start in safe mode.

### -simsound

> Type: Parameter

> Description: Disable sound playback but simulate sound playback for code testing.

### -snoforceformat

> Type: Parameter

> Description: Disable the forcing of sound hardware into 11KHz, 16-bit mode.

### -starttime

> Type: Parameter

> Description: * Unknown.

### -startwindowed

> Type: Parameter

> Description: Start in a windowed mode.

### -stdvid

> Type: Parameter

> Description: * Non-functional.

### -surfcachesize

> Type: Parameter

> Syntax: `-surfcachesize` (kilobytes)

> Description: Amount of memory allocated in kilobytes for the surface cache.

> Example: `-surfcachesize 2048`

### -udpport

> Type: Parameter

> Syntax: `-udpport` (port)

> Description: Specify the TCP/IP UDP port that the server should run on.

> Example: `-udpport 26901`

### -wavonly

> Type: Parameter

> Description: Disable DirectSound support in favor of WAV playback.

### -width

> Type: Parameter | OpenGL

> Syntax: `-width` (width)

> Description: Specify the width of the video resolution to run.

> Note: You also need the `-height` command.

> Example: `-width 512 -height 384`

### -window

> Type: Parameter | OpenGL

> Description: Run in a windowed mode.

### -zone

> Type: Parameter

> Syntax: `-zone` (value)

> Description: Allocate additional memory to the alias memory space.

> Note: Usually necessary when loading large scripts.

> Example: `-zone 512`

## 5. Version Information

### July 20, 1998

- I have removed my email address from this document because I was getting unwanted emails. If you want to contact me, go to my web site.

### July 16, 1998

- Changed the internal HTML style for indentations and also to space out the fields for easier reading.
- Added subsection 6.4. Trademarks in the 6. Legal section to take care of any trademark legalities.
- Added a copyright notice to the Abstract section along with a short description about this document.

### March 13, 1998

- Made some formatting changes.
- Added the Abstract section to identify this document.
- Added links to each individual command.

### January 19, 1998

- Made a few internal HTML changes.

### December 25, 1997

- This document is no longer supported and no more updates will follow.

### October 26, 1997

- Made a few more minor HTML changes and incorporated support for Cascading Style Sheets into the document.

### October 22, 1997

- Made a major change to the HTML structure.
- Removed all stylistic HTML tags to achieve 100% HTML compliance.

### September 12, 1997

- Added the OpenGL parameters. I knew I forgot to do something, d'oh!

### September 6, 1997

- Updated the `create` command.

### September 3, 1997

- Original release. Updates on the *Unknown commands to follow.

## 6. Legal

### 6.1. Copyright

This document is copyrighted and all rights are reserved. No part of this document can be used as a basis for other works without the express permission of the author.

### 6.2. Distribution

I hereby grant the right to distribute and display this document as long it is distributed free of charge and unmodified. As a courtesy, the author should be notified of any displays of his work.

### 6.3. Disclaimer

This document is provided "as is". I do not guarantee the validity of any of the information in it. I will not be held liable or responsible for any damages caused from use or misuse of the information contained within this document.

### 6.4. Trademarks

All trademarks used in this document are acknowledged and are the property of their rightful owners.

Copyright 1997 JakFrost, All Rights Reserved.